Main Page Groups Namespaces

# bind.h File Reference

## Namespaces
namespace | SigC
## Functions
template<class T_bound1, class T_functor>
inline::sigc::bind_functor< -1, T_functor, typename::sigc::unwrap_reference< T_bound1 >::type > | bind (const T_functor& _A_functor, T_bound1 _A_b1)
template<class T_bound1, class T_bound2, class T_functor>
inline::sigc::bind_functor< -1, T_functor, typename::sigc::unwrap_reference< T_bound1 >::type, typename::sigc::unwrap_reference< T_bound2 >::type > | bind (const T_functor& _A_functor, T_bound1 _A_b1, T_bound2 _A_b2)
template<class T_bound1, class T_bound2, class T_bound3, class T_functor>
inline::sigc::bind_functor< -1, T_functor, typename::sigc::unwrap_reference< T_bound1 >::type, typename::sigc::unwrap_reference< T_bound2 >::type, typename::sigc::unwrap_reference< T_bound3 >::type > | bind (const T_functor& _A_functor, T_bound1 _A_b1, T_bound2 _A_b2, T_bound3 _A_b3)

## Function Documentation

template <class T_bound1, class T_bound2, class T_bound3, class T_functor>
inline ::sigc::bind_functor<-1, T_functor, typename ::sigc::unwrap_reference<T_bound1>::type, typename ::sigc::unwrap_reference<T_bound2>::type, typename ::sigc::unwrap_reference<T_bound3>::type> bind | ( | const T_functor& | _A_functor,
|  | T_bound1 | _A_b1,
|  | T_bound2 | _A_b2,
|  | T_bound3 | _A_b3
| ) |

template <class T_bound1, class T_bound2, class T_functor>
inline ::sigc::bind_functor<-1, T_functor, typename ::sigc::unwrap_reference<T_bound1>::type, typename ::sigc::unwrap_reference<T_bound2>::type> bind | ( | const T_functor& | _A_functor,
|  | T_bound1 | _A_b1,
|  | T_bound2 | _A_b2
| ) |

template <class T_bound1, class T_functor>
inline ::sigc::bind_functor<-1, T_functor, typename ::sigc::unwrap_reference<T_bound1>::type> bind | ( | const T_functor& | _A_functor,
|  | T_bound1 | _A_b1
| ) |